fem def para;r;fitting_lin;
fem def coor;r;hip_bone;
fem def base;r;hip_bone;

fem def node;r;hip_bone;
fem def elem;r;hip_bone;
fem up node deriv 1 linear
fem up node deriv 2 linear
fem up node deriv 3 Linear

fem export node;hip_bone_init as hip_bone_init offset 10000
fem export elem;hip_bone_init as hip_bone_init offset_elem 10000

fem group elements all_elements as ALL_ELEMENTS;
fem group faces 1,3..5,8..10,13..15,18..20,23..25,27..30,32,34..35,38..39,42..44 as faces1;
fem group faces 46..48,50..51, 53..55,57,59..60,62..64,66,68..69,71..73,75,77..78 as faces2;
fem group faces 80..82,84,86..87,89..91,93,95..96,98..100,102,104..105,107..109,111 as faces3;
fem group faces 113..114,117..118,121..123,126..128,131..132,134..136,138,140..141 as faces4;
fem group faces 144..145,148..149,152..153,156..157,159..161,163,165,169..170 as faces5;
fem group faces 173..174,177..178,181..182,184..186,188,190..191,194,198..199 as faces6;
fem group faces 202..203,206..207,209..211,213,215..216,219..220,223..224,227..228 as faces7;
fem group faces 231..232,235..236,239..241,243..246,248,250..251,254..255,258..259 as faces8;
fem group faces 262..263, 266..267,270..271,274..275,277..279,281,283..285,288..290 as faces9;
fem group faces 293..294,297..298,301..302,305..306,309..310,313..314,317..318,320..322 as faces10;
fem group faces 324,326..328,330..332, 334..336,338..340,342..344,346..348,350..352 as faces11;
fem group faces 354..356,358..364 as faces12;
fem group faces faces1,faces2,faces3,faces4,faces5,faces6,faces7,faces8,faces9,faces10,faces11,faces12 as hip_bone_faces;
fem group faces 166,195 as problems;
fem update field from geometry;   
#
fem export node;processed_hip_bone as processed_hip_bone;
fem export elem;processed_hip_bone as processed_hip_bone;
#
fem define data;r;hip_bone;
#fem de xi;c closest_face external;
fem de xi;r;hip_bone 
fem list data error;
fem export data;hip_bone_1 as hip_bone_1 error offset 50000;
#
# Fit
#
fem de fit;r;hip_bone geom faces hip_bone_faces
#
# First fit
#
fem fit;
fem update node fit
fem update scale_factor normalise
fem de xi;c closest_face external old;
fem list data error;
fem export data;data as data error
fem export node;fitted_hip_bone_1 as fitted_hip_bone_1 offset 10000
fem export elem;fitted_hip_bone_1 as fitted_hip_bone_1 offset_elem 10000
#
# Second fit
#
fem fit;
fem update node fit
fem update scale_factor normalise
fem de xi;c closest_face external old;
fem list data error;
fem export data;data as data error
fem export node;fitted_hip_bone_2 as fitted_hip_bone_2 offset 20000
fem export elem;fitted_hip_bone_2 as fitted_hip_bone_2 offset_elem 20000
#
# Third fit
#
fem fit;
fem update node fit
fem update scale_factor normalise
fem de xi;c closest_face external old;
fem list data error;
fem export data;data as data error
fem export node;fitted_hip_bone_3 as fitted_hip_bone_3 offset 30000
fem export elem;fitted_hip_bone_3 as fitted_hip_bone_3 offset_elem 30000
